{ pkgs, ... }: let 
  vesktop = pkgs.vesktop.overrideAttrs(final: prev: {
    src = pkgs.fetchFromGitHub {
      owner = "Vencord";
      repo = "Vesktop";
      rev = "3fe2094814480c78ae74f4466804c51059c563aa";
      hash = "sha256-FWbA8gcFRnp78/ROrAu9yA0j6SDbzemak3gMxiq3Jog=";
    };

    # pnpmDeps = prev.pnpmDeps.overrideAttrs(final2: prev2: {
    #   outputHash = "sha256-6ezEBeYmK5va3gCh00YnJzZ77V/Ql7A3l/+csohkz68=";
    # });
  }); 
in {
  home.packages = [
    pkgs.vesktop
  ];

#  xdg.configFile = let
#    prefix = "VencordDesktop/VencordDesktop";
#  in {
#    "${prefix}/settings.json".source = ./settings.json;
#    "${prefix}/settings/settings.json".source = ./settings/settings.json;
#    "${prefix}/settings/quickCss.css".source = ./settings/quickCss.css;
# };
}
